Subject: [bug#74078] [PATCH] gnu: Add dart

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Sun, 10 Nov 2024 17:47:59 +0000

Hi all, Maxim,

I'm as ignorant as you about any ‘policy’.  So you just get my opinion:

I think we could be a bit more lenient about adding unbootstrapped compilers, as long as we clearly document the fact (maybe centrally, maybe as a package property, but then not merely as a comment—something queryable).

I'm also biased, because this would also unblock GNAT→ usable Coreboot.

We could keep the sky from falling by documenting that once a known bootstrap path exists, it *must* be used.

Kind regards,

T G-R

Sent on the go.  Excuse or enjoy my brevity.